"{ Package: 'stx:libtool' }"

ApplicationModel subclass:#SystemStatusMonitorV2
	instanceVariableNames:'listUpdateDelay updateDelay updateBlock listUpdateBlock
		updateProcess'
	classVariableNames:''
	poolDictionaries:''
	category:'Monitors-ST/X'
!


!SystemStatusMonitorV2 methodsFor:'initialization & release'!

release
    updateBlock notNil ifTrue:[
        Processor removeTimedBlock:updateBlock.
        updateBlock := nil.
    ].
    listUpdateBlock notNil ifTrue:[
        Processor removeTimedBlock:listUpdateBlock.
        listUpdateBlock := nil.
    ].
    updateProcess notNil ifTrue:[
        updateProcess terminate.
        updateProcess := nil.
    ].
    super release
! !

!SystemStatusMonitorV2 class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libtool/Attic/SystemStatusMonitorV2.st,v 1.1 2003-01-21 15:17:38 penk Exp $'
! !
